Closed Bug 1413322 Opened 2 years ago Closed 2 years ago

Stop loading old-style langpacks

Categories

(Toolkit :: Add-ons Manager, enhancement, P3)

56 Branch
enhancement

Tracking

()

VERIFIED FIXED
mozilla58
Tracking Status
firefox57 --- wontfix
firefox58 --- verified
firefox59 --- verified

People

(Reporter: aswan, Assigned: aswan)

References

Details

Attachments

(2 files)

Now that we're using the new packaging for langpacks on trunk, we can stop loading the old ones.
Attachment #8923990 - Flags: review?(kmaglione+bmo)
Attachment #8923990 - Flags: review?(gandalf)
Comment on attachment 8923990 [details]
Bug 1413322 Don't load old-style language packs

https://reviewboard.mozilla.org/r/195170/#review200268

::: toolkit/mozapps/extensions/test/xpcshell/xpcshell-shared.ini
(Diff revision 1)
>  [test_corrupt_strictcompat.js]
>  [test_corruptfile.js]
>  [test_dataDirectory.js]
>  [test_default_providers_pref.js]
>  [test_dictionary.js]
> -[test_langpack.js]

\o/
Attachment #8923990 - Flags: review?(kmaglione+bmo) → review+
Priority: -- → P3
Comment on attachment 8923990 [details]
Bug 1413322 Don't load old-style language packs

https://reviewboard.mozilla.org/r/195170/#review200850
Attachment #8923990 - Flags: review?(gandalf) → review+
Pushed by aswan@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d69df5cdaca3
Don't load old-style language packs r=gandalf,kmag
https://hg.mozilla.org/mozilla-central/rev/d69df5cdaca3
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
This issue is verified as fixed on Firefox 58.0b4 (20171115114231), 59.0a1 (20171117100127) under Wind 10 64-bit and Mac OS X 10.13.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.